/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          pattern.h  -  description
                             -------------------
    begin                : ven jan 23 2004
    copyright            : (C) 2004 by avila
    email                : avila@deimos
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "generator.h"

struct EnsembleOrientation
{
  position orientation;
};

struct EnsembleNormale
{
  position normale, balance, finale;
    vector < EnsembleOrientation > orientation;
  int getOrientation (position);
};

struct EnsemblePoint
{
  position root;
    vector < int >refFacette;
    vector < EnsembleNormale > attached;
  int getNormale (position);
};

struct RefPoint
{
  int point;
  int normale;
  int orientation;
};

class PointSalle
{
public:
  vector < EnsemblePoint > listePoint;
  RefPoint ajoutePoint (position r, position normale, position prev,
			position next, int indice);
  void calculFinal ();
};

typedef struct FacetteInt:public vector < RefPoint >
{
  string texture;
};

typedef struct TableauFacette:vector < FacetteInt >
{

};

class UniversPoint
{
public:
  PointSalle ps;
  void facette (ostream & os, position centre, int rotation, float c);
  void marche (ostream & os, position centre, int rotation, float c,
	       int hauteur);
  void facette (ostream & os, int c, int c1, int c2, position, bool, int,
		string, TableauFacette &, position normale);
  void insert (position p1, position p2, position p3, position p4,
	       TableauFacette & tf, string texture, position normale);
  void insert (position, position, position, position, TableauFacette & tf,
	       string texture, position normale, position prev,
	       position next);
  void traceFinal (ostream & os, TableauFacette & tf, int start, int end);
};

class EnvData
{
public:
};

class EnvDataMine:public EnvData
{
public:
  ListBloc blocLien, blocLienPere, blocVoisin;
  int start, end;
  static TableauFacette tfGlobal;
};

string int2string (int);
