/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// $Id: action_salle.h,v 1.2 2004/06/02 17:14:29 atila Exp $

#ifndef action_salle_fichier
#define action_salle_fichier

#include "lecture.h"
#include "stock.h"
#include "time.h"
#include "math.h"
#include "buffer_noeud.h"
#include "script_nom.h"

enum TACTION
{ RIEN = 0,
  POSITION_DIRECTE,
  ALLER_SIMPLE,
  ALLER_SIMPLE_INIT,
  ALLER_RETOUR,
  ALLER_RETOUR_INIT,
  ALLER_RETOUR_INFINI,
  ALLER_SIMPLE_INFINI
};

#define LPACTION_SALLE ACTION_SALLE*

// Pour savoir si on laisse l'interpolation telle quelle.
#define TEMPS_LAG_MAX 		0.0

class ACTION_SALLE
{
private:float avance (float, float);
public:

    MOT nom_anim;
  TACTION taction;
//time_t l_time;
  float v1, v2;
  float lposition_actuelle, position_actuelle, sens;
  int nb_boucle;

    ACTION_SALLE ();
   ~ACTION_SALLE ();
  void init_position_initiale (float v);
  void init_mouvement ();
  void lecture_action (BUFFER_NOEUD * BF, buffer_noeud * bn);
  float position_suivante (double);
  void valide_position (float temps);
  void applique_action (ACTION_SALLE &);

  // Pour les SALLE...
  void lecture (STOCK & stock, int &curseur);
  void ecriture (STOCK & stock);
};

#define LPACTION_SALLE ACTION_SALLE*

#endif
