/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// $Id: bdd.h,v 1.3 2006/12/21 18:18:14 atila Exp $

#ifndef BDD_FICHIER
#define BDD_FICHIER

using namespace std;

#include "lecture.h"
#include <stdlib.h>
#include <string>
#include <deque>
#include <vector>
#include "unzip.h"

// define FOR_EACH_LF(x) for(deque_LF::iterator x=liste_fichier.begin();x!=liste_fichier.end();x++)

class LF_BDD
{
public:
  MOT nom_fichier;
  unzFile uf;
    LF_BDD ();
   ~LF_BDD ();
};

class LF
{
public:
  MOT nom_fichier;
  int fichier_bdd_princ;
  int size;
    LF ();
   ~LF ();
};

#define DESC_FICHIER_EXTRAIT struct STRUCT_DESC_FICHIER_EXTRAIT

#define LISTE_NOM vector<MOT>

typedef vector < LF > deque_LF;
typedef vector < LF_BDD > deque_LF_BDD;


class BDD
{
  deque_LF liste_fichier;
  deque_LF_BDD liste_fichier_bdd;

public:
    BDD ();
   ~BDD ();

  // Extraction de fichiers dcompresss.
  int extrait_fichier (MOT * nom, DESC_FICHIER_EXTRAIT * resultat);
  int extrait_fichier_buffer (MOT * nom, char **buffer, int *taille);

  // Ajout d'un fichier zip.
  int ajoute_bdd (MOT * nom_fichier_bdd);

  // filtrage: devant par rep, derrire par ext.
  LISTE_NOM liste_fichier_speciaux (MOT rep, MOT ext);
  bool fichier_existe (MOT & nom);

};

typedef BDD *LPBDD;

#endif
