/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DEF_FACETTE_INCLUDE_FILE
#define DEF_FACETTE_INCLUDE_FILE

#include "deque"
using namespace std;

class FACETTE;
class FACETTE_IMPACT;
class OBJET;
class ELEMENT_ACTION;
class ANIMATION;
typedef OBJET *LPOBJET;
typedef ANIMATION *LPANIMATION;

typedef FACETTE *LPFACETTE;
typedef FACETTE_IMPACT *LPFACETTE_IMPACT;
typedef deque < LPFACETTE > LISTE_FACETTE;
typedef deque < LPFACETTE_IMPACT > LISTE_FACETTE_IMPACT;
typedef struct _FACETTE_PROCHE
{
  LISTE_FACETTE liste_facette;
  LPOBJET lpobjet;
  LPANIMATION lpanim;
};


typedef struct _FACETTE_PROCHE FACETTE_PROCHE;
typedef FACETTE_PROCHE *LPFACETTE_PROCHE;
typedef deque < LPFACETTE_PROCHE > LISTE_LPFACETTE_PROCHE;
typedef LISTE_LPFACETTE_PROCHE *LPLISTE_LPFACETTE_PROCHE;

// Pour specifier les bruits
// Fixe automatiquement les autres valeurs
// en laissant la possibilite de les regler manuellement apres.
enum TYPE_MATIERE_FACETTE
{
  MATIERE_PIERRE,
  MATIERE_BOIS,
  MATIERE_METAL, MATIERE_GLACE
};

enum TYPE_ACTION_FACETTE
{ TYPE_FACETTE_STANDARD, TYPE_FACETTE_ACTION };
enum DECLENCHE_FACETTE_ACTION
{ presence, contact, activation };
enum DECLENCHE_FACETTE_PAR
{ elementinactif, elementjeumobile, joueur, ennemi };
enum ACTION_FACETTE_NOM
{ lance_animation, danger, pousse, fin_niveau };

struct CONTEXT_OBJET;
typedef CONTEXT_OBJET *LPCONTEXT_OBJET;

class FACETTE;
class FACETTE_IMPACT;
typedef FACETTE *LPFACETTE;
typedef FACETTE_IMPACT *LPFACETTE_IMPACT;


#endif
