/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// $Id: script_nom.h,v 1.2 2004/06/02 17:14:29 atila Exp $

#ifndef SCRIPT_NOM_FICHIER
#define SCRIPT_NOM_FICHIER

// Ceci est le fichier de dfinition utilis pour 
// catgoriser les noms des noeuds.
// Il est utilis par TOUS les executables.

#define MAX_ASSOCIATION 500


extern const char *tableau_association[MAX_ASSOCIATION];

// En double_entre la constante correspondante...

#define CONSTANTE_SCRIPT_FACETTE		10
#define CONSTANTE_SCRIPT_POINT			11
#define CONSTANTE_SCRIPT_X			12
#define CONSTANTE_SCRIPT_Y			13
#define CONSTANTE_SCRIPT_Z			14
#define CONSTANTE_SCRIPT_MESH			15
#define CONSTANTE_SCRIPT_TX			16
#define CONSTANTE_SCRIPT_TY			17
#define CONSTANTE_SCRIPT_ALIGNECAMERA		18
#define CONSTANTE_SCRIPT_TEXTURE		19

#define CONSTANTE_SCRIPT_FICHIER		20
#define CONSTANTE_SCRIPT_ACTION			21
#define CONSTANTE_SCRIPT_NOM			22
// 2 entres supprimes.
//
#define CONSTANTE_SCRIPT_VISIBLE		25
#define CONSTANTE_SCRIPT_INVISIBLE		26
#define CONSTANTE_SCRIPT_SOURCE 		27
#define CONSTANTE_SCRIPT_PORTAL 		28

#define CONSTANTE_SCRIPT_SENSIBLEBALLE 	30
#define CONSTANTE_SCRIPT_INSENSIBLEBALLE 	31
#define CONSTANTE_SCRIPT_SENSIBLEOBJET    32
#define CONSTANTE_SCRIPT_INSENSIBLEOBJET  33

#define CONSTANTE_SCRIPT_BLENDINGZERO	      40
#define CONSTANTE_SCRIPT_BLENDINGAPPROPRIE	41
#define CONSTANTE_SCRIPT_BLENDINGFIXE	      42
#define CONSTANTE_SCRIPT_BLENDINGFICHIER	      43
#define CONSTANTE_SCRIPT_BLENDINGFICHIERZERO	44
#define CONSTANTE_SCRIPT_BLENDINGFIXE2		45
#define CONSTANTE_SCRIPT_BLENDINGFIXE3		46

#define CONSTANTE_SCRIPT_OBJET			50
#define CONSTANTE_SCRIPT_PERE			51
#define CONSTANTE_SCRIPT_ANIMATION		52
#define CONSTANTE_SCRIPT_ROTATION		53
#define CONSTANTE_SCRIPT_TRANSLATION	54
#define CONSTANTE_SCRIPT_V1			55
#define CONSTANTE_SCRIPT_V2			56
#define CONSTANTE_SCRIPT_ANGLE1		57
#define CONSTANTE_SCRIPT_ANGLE2		58
#define CONSTANTE_SCRIPT_T1			59

#define CONSTANTE_SCRIPT_T2			60
#define CONSTANTE_SCRIPT_AXEX			61
#define CONSTANTE_SCRIPT_AXEY			62
#define CONSTANTE_SCRIPT_AXEZ			63
#define CONSTANTE_SCRIPT_ECHELLE		64
#define CONSTANTE_SCRIPT_ACTIVEOBJET	65
#define CONSTANTE_SCRIPT_DESACTIVEOBJET	66
#define CONSTANTE_SCRIPT_ACTION_LUMIERE	67
#define CONSTANTE_SCRIPT_LUMIERE1		68
#define CONSTANTE_SCRIPT_LUMIERE2		69

#define CONSTANTE_SCRIPT_RIEN			70
#define CONSTANTE_SCRIPT_POSITIONDIRECTE	71
#define CONSTANTE_SCRIPT_ALLERSIMPLE	72
#define CONSTANTE_SCRIPT_ALLERSIMPLEINIT	73
#define CONSTANTE_SCRIPT_ALLERRETOUR	74
#define CONSTANTE_SCRIPT_ALLERRETOURINIT	75
#define CONSTANTE_SCRIPT_ALLERRETOURINFINI	76
#define CONSTANTE_SCRIPT_ALLERSIMPLEINFINI	77
#define CONSTANTE_SCRIPT_NOMANIMATION	78

#define CONSTANTE_SCRIPT_NOUVELLEANIMATION	80
#define CONSTANTE_SCRIPT_CENTRE     	81
#define CONSTANTE_SCRIPT_RAYON      	82

#define CONSTANTE_SCRIPT_SALLE		90
#define CONSTANTE_SCRIPT_MUSIQUE		91
#define CONSTANTE_SCRIPT_FICHIER_SALLE	92
#define CONSTANTE_SCRIPT_FICHIER_ANIMATION	93
#define CONSTANTE_SCRIPT_JEU			94
#define CONSTANTE_SCRIPT_INFO_NIVEAU	95
#define CONSTANTE_SCRIPT_NOM_NIVEAU		96
#define CONSTANTE_SCRIPT_NOM_SCREENSHOT	97

#define CONSTANTE_SCRIPT_OPTION		100
#define CONSTANTE_SCRIPT_JOUEUR		101
#define CONSTANTE_SCRIPT_SPAWNJOUEUR	102
#define CONSTANTE_SCRIPT_NDJ			103
#define CONSTANTE_SCRIPT_POSITION		104
#define CONSTANTE_SCRIPT_REAPPARAIT	      105

#define CONSTANTE_SCRIPT_VIE			110
#define CONSTANTE_SCRIPT_SUPERVIE		111
#define CONSTANTE_SCRIPT_ARMURE		112
#define CONSTANTE_SCRIPT_SUPERARMURE	113
#define CONSTANTE_SCRIPT_QUANTITE		114
#define CONSTANTE_SCRIPT_INVULNERABILITE	115
#define CONSTANTE_SCRIPT_RAPIDITE		116
#define CONSTANTE_SCRIPT_PIGEON     	117
#define CONSTANTE_SCRIPT_ANNIHILATRON	118
#define CONSTANTE_SCRIPT_SUPERPUISSANCE	119

#define CONSTANTE_SCRIPT_ARME1			120
#define CONSTANTE_SCRIPT_ARME2			121
#define CONSTANTE_SCRIPT_ARME3			122
#define CONSTANTE_SCRIPT_ARME4			123
#define CONSTANTE_SCRIPT_ARME5			124
#define CONSTANTE_SCRIPT_ARME6			125
#define CONSTANTE_SCRIPT_ARME7			126
#define CONSTANTE_SCRIPT_ARME8			127
#define CONSTANTE_SCRIPT_ARME9			128
#define CONSTANTE_SCRIPT_ARME10			129

#define CONSTANTE_SCRIPT_FACETTESTANDARD	130
#define CONSTANTE_SCRIPT_FACETTEACTION		131
#define CONSTANTE_SCRIPT_FACETTEGRAVITE		132
#define CONSTANTE_SCRIPT_DECLENCHECONTACT	133
#define CONSTANTE_SCRIPT_DECLENCHEPRESENCE	134
#define CONSTANTE_SCRIPT_DECLENCHEACTIVATION	135
#define CONSTANTE_SCRIPT_PARMOBILE		136
#define CONSTANTE_SCRIPT_PARJOUEUR		137
#define CONSTANTE_SCRIPT_PARENNEMI		138
#define CONSTANTE_SCRIPT_PARINACTIF		139

#define CONSTANTE_SCRIPT_ACTIONANIMATION	140
#define CONSTANTE_SCRIPT_ACTIONVIE		141
#define CONSTANTE_SCRIPT_ACTIONPOUSSE		142

// Les Animation Texture ou AT ...
#define CONSTANTE_SCRIPT_AT_SAUTALEATOIRE	150
#define CONSTANTE_SCRIPT_AT_SAUT		151
#define CONSTANTE_SCRIPT_AT_TEXTURE		152
#define CONSTANTE_SCRIPT_AT_TEMPS		153
#define CONSTANTE_SCRIPT_AT_TEMPSALEATOIRE1	154
#define CONSTANTE_SCRIPT_AT_TEMPSALEATOIRE2	155

// Les Constantes pour la lumiere...

#define CONSTANTE_SCRIPT_LUMIERE_R		160
#define CONSTANTE_SCRIPT_LUMIERE_G		161
#define CONSTANTE_SCRIPT_LUMIERE_B		162
#define CONSTANTE_SCRIPT_LUMIERE_A		163

#define CONSTANTE_SCRIPT_ZL_OBJET		164
#define CONSTANTE_SCRIPT_ZL_ANIMATION		165
#define CONSTANTE_SCRIPT_ZL_SCENE		166

#define CONSTANTE_SCRIPT_LUMIERE		167
#define CONSTANTE_SCRIPT_INTENSITELUMIERE	168
#define CONSTANTE_SCRIPT_RAYONLUMIERE		169

#define CONSTANTE_SCRIPT_TL_AMBIANTE		170
#define CONSTANTE_SCRIPT_TL_AMBIANTE_DIFFUSE	171
#define CONSTANTE_SCRIPT_TL_SPOT		172
#define CONSTANTE_SCRIPT_TL_CONE		173

#define CONSTANTE_SCRIPT_MUNITION1		180
#define CONSTANTE_SCRIPT_MUNITION2		181
#define CONSTANTE_SCRIPT_MUNITION3		182
#define CONSTANTE_SCRIPT_MUNITION4		183
#define CONSTANTE_SCRIPT_MUNITION5		184
#define CONSTANTE_SCRIPT_MUNITION6		185
#define CONSTANTE_SCRIPT_MUNITION7		186
#define CONSTANTE_SCRIPT_MUNITION8		187
#define CONSTANTE_SCRIPT_MUNITION9		188
#define CONSTANTE_SCRIPT_MUNITION10		189

// Pour les actions sons dans les animations.

#define CONSTANTE_SCRIPT_ACTIVE_SON		      200
#define CONSTANTE_SCRIPT_AMBIANCE_SON           201
#define CONSTANTE_SCRIPT_VOLUME		      202
#define CONSTANTE_SCRIPT_SENSPOSITIF	      203
#define CONSTANTE_SCRIPT_SENSNEGATIF	      204
#define CONSTANTE_SCRIPT_LONGUEURSON	      205

// Des rajouts pour les textures : la gnration 
// automatique de coordonnes, ainsi que la reflexion,
// le blending additif.
#define CONSTANTE_SCRIPT_BLENDINGADDITIF        210
#define CONSTANTE_SCRIPT_BLENDINGNORMAL         211
#define CONSTANTE_SCRIPT_TEXX                   212
#define CONSTANTE_SCRIPT_TEXY                   213
#define CONSTANTE_SCRIPT_ATTRIBUTTEXTURE	      214
#define CONSTANTE_SCRIPT_REFLECHI	            215
#define CONSTANTE_SCRIPT_NONREFLECHI	      216

// Des objets supplmentaires : sortie, teleporteur.
#define CONSTANTE_SCRIPT_SORTIE	            220
#define CONSTANTE_SCRIPT_TELEPORTEUR	      221
#define CONSTANTE_SCRIPT_CIBLE      	      222

#endif
