/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
//      Voici la classe modle qui sert
// pour tous les objets chargeables dans des fichiers.
// Elle cre 2 fonctions virtuelles basiques :
//                      charge_fichier(MOT* nom,);
//                      duplique();
// De ce fait, ce n'est PAS une calsse abstraite, mais
// son instantiation est sans intrt.
// L'objet de cette classe est de fournir de modle pour
// la banque d'animation.
// OBJET et ANIMATION en drivent.

#ifndef CLASSE_MODELE_FICHIER
#define CLASSE_MODELE_FICHIER

#include "lecture.h"

struct BLOCINFO;
#define LPBLOCINFO BLOCINFO*

#define ERREUR_CHARGEMENT		2
#define ERREUR_FICHIER_ABSENT		1
#define PAS_ERREUR			0

class CLASSE_MODELE		// Abstract
{
protected:
  MOT nom;

  void init_classe_modele (MOT & m);

public:

    virtual bool operator== (void *data);
  virtual int charge_avec_fichier (void *data, LPBLOCINFO lpblocinfo);
  virtual CLASSE_MODELE *duplique_element ();
    CLASSE_MODELE ();
    CLASSE_MODELE (MOT & m);
   ~CLASSE_MODELE ();
};

#endif
