/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/* Compilation de script vers un fichier. EXECUTABLE  forker */
// $Id: compile_script.cpp,v 1.3 2006/12/21 18:18:14 atila Exp $

#include "script.h"
#include "bdd.h"


main (int argc, char *argv[])
{
  BDD *bdd = new BDD ();

  if (argc != 3)
    {
      printf ("Utilisation : ./compile_fichier source destination\n");
      exit (1);
    };
  FICHIER_SCRIPT *fic;
  fic = new FICHIER_SCRIPT ();
  char *buffer, *buffer2;
  int taille, taille2;
  MOT m1 (argv[1]);
  MOT m2 (argv[2]);


  FILE *fichier;
  fichier = fopen (m1.info, "r+");
  if (!fichier)
    {
      printf ("BDD : Fichier rel inexistant %s\n", m1.info);
      exit (1);
    };
  fseek (fichier, 0, SEEK_END);
  taille = ftell (fichier);
  buffer = (char *) malloc (taille);
  fseek (fichier, 0, SEEK_SET);
  fread (buffer, 1, taille, fichier);
  fclose (fichier);

  fic->parse_buffer (buffer, taille, &buffer2, &taille2);
  FILE *f = fopen (m2.info, "w+");
  fwrite (buffer2, taille2, 1, f);
  fclose (f);

  exit (0);
};
