/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// $Id: dump_fichier_script.cpp,v 1.2 2004/06/02 17:14:29 atila Exp $

#include "bdd.h"
#include "buffer_noeud.h"


main (int argc, char *argv[])
{
  BDD *bdd = new BDD ();

  if (argc != 3)
    {
      printf ("Utilisation : ./compile_fichier nom.bdd nom_fichier\n");
      exit (1);
    };

  MOT m1 (argv[1]);
  MOT m2 (argv[2]);

  bdd->ajoute_bdd (&m1);

  BUFFER_NOEUD *bf = new BUFFER_NOEUD (bdd, &m2);

  printf ("-- Dbut du dump --\n");
  bf->dump_buffer_noeud (NULL, -1);
  printf ("-- Fin du dump --\n");

  exit (0);
};
