/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef JEU_VIVANT_FICHIER
#define JEU_VIVANT_FICHIER

#include "jeu.h"
#include "controle.h"
#include "animation_texture.h"

typedef struct BLOC_VIVANT_SERVEUR
{
  int vie;
  // Pour materialiser les armures, l'invulnerabilite....
  float coeff_degat;
  // Les degats perdus
  int degat;
};

class JEU_VIVANT:public ELEMENTJEU
{
protected:

  float temps;
  BLOC_VIVANT_SERVEUR bloc_vivant;

public:

    virtual void interaction (LPBLOCINFO lpblocinfo, ELEMENTJEU *);

  virtual bool interaction_danger_possible (int typeCoup);

  virtual void interaction_danger (LPBLOCINFO lpblocinfo,
				   int IDsrc,
				   int force,
				   TYPECOUP typeCoup, RWVECTOR A, RWVECTOR B);


  void gestion_globale (LPBLOCINFO lpblocinfo);
  void LectureParamJeu (BUFFER_NOEUD * BF, buffer_noeud * bn,
			LPBLOCINFO lpblocinfo);

  void lecture (LPBLOCINFO lpblocinfo, STOCK & stock, int &position_stock);
  void ecriture (LPBLOCINFO lpblocinfo, STOCK & stock);

    JEU_VIVANT (LPBLOCINFO lpblocinfo);
   ~JEU_VIVANT ();

  virtual bool touche_tir (RWVECTOR a, RWVECTOR b, RWVECTOR & touche);

  void decompte_vie (float, int &points, bool & frag);

};


#endif
