// $Id: lecture.cpp,v 1.3 2006/12/21 18:18:14 atila Exp $

#include "lecture.h"
#include <stdio.h>

#define LINUX_POWER

void
MOT::adapte_fichier ()
{
#ifdef LINUX_POWER
  for (int i = 0; (i <= taille) && (i < TAILLE_MOT); i++)
    {
      if (info[i] == '\\')
   info[i] = '/';
      int k = 'A' - 'a';
      if ((info[i] >= 'A') && (info[i] <= 'Z'))
        info[i] = info[i] - k;
    };
#endif
#ifdef WINDOWS
  for (int i = 0; i <= taille; i++)
    {
      if (info[i] == '/')
        info[i] = '\\';
    };
#endif
};

void
MOT::ajoute_caractere (char car)
{
  taille = taille + 1;
  info[taille] = car;
};

void
MOT::remplace_info (MOT * rep)
{
  for (int i = 0; i < TAILLE_MOT; i++)
    info[i] = rep->info[i];
  taille = rep->taille;
};

float
MOT::valeur ()
{
  float ret = 0;
  int dep = 0;
  int p = 0;
  if (info[0] == '-')
    dep = 1;
  p = dep;
  for (; p <= taille; p++)
    {
      char v = info[p];
      if ((v >= 48) && (v <= 57))
   ret = ret * 10 + v - 48;
    };
  p = dep;
  for (p = dep; p <= taille; p++)
    ret = ret / 10;
  p = dep;
  while ((p <= taille) && (info[p] != '.'))
    {
      ret = ret * 10;
      p++;
    };
  if (info[p] == '.')
    ret = ret * 10;
  if (info[0] == '-')
    ret = -ret;

  return (ret);
};

MOT::MOT ()
{
  taille = -1;
  for (int p = 0; p < TAILLE_MOT; p++)
    info[p] = 0;
};

void
MOT::vide ()
{
  taille = -1;
  for (int i = 0; i < TAILLE_MOT; i++)
    info[i] = 0;
};

void
MOT::upper ()
{
  char diff = 'A' - 'a';
  for (int i = 0; i < TAILLE_MOT; i++)
    if ((info[i] <= 'z') && (info[i] >= 'a'))
      info[i] += diff;
};

MOT::MOT (char *init)
{
  taille = -1;
  int p = 0;
  for (int i = 0; i < TAILLE_MOT; i++)
    info[i] = 0;
  while ((init[p]) &&(p < TAILLE_MOT))
    {
      info[p] = init[p];
      p++;
    }
  taille = p - 1;
};

MOT::~MOT ()
{
};

int
MOT::operator == (MOT MOT2)
{
  if (taille == MOT2.taille)
    {
      int err = 1;
      for (int p = 0; p <= MOT2.taille; p++)
      if (MOT2.info[p] != info[p])
     {
        err = 0;
       p = MOT2.taille;
     }
      return (err);
    }
  else
    {
      return (0);
    };
};


MOT MOT::operator + (MOT & MOT2)
{
  MOT
    ajout;
  ajout.remplace_info (this);
  for (int i = 0; i <= MOT2.taille; i++)
    ajout.ajoute_caractere (MOT2.info[i]);
  return ajout;
};

MOT MOT::operator + (char c)
{
  MOT
    m = *this;
  m.ajoute_caractere (c);
  return m;
};


void
MOT::dec ()
{
  if (taille >= 0)
    {
      info[taille] = 0;
      taille--;
    }
};

char MOT::operator[](int pos)
{
  if ((pos>=0)&&(pos<=taille)) return info[taille];
};
