/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// $Id: salle.h,v 1.3 2006/12/21 18:18:14 atila Exp $

#ifndef salle_fichier_const
#define salle_fichier_const

#include "lecture.h"
#include <time.h>
#include "mathsRWvsNDJ.h"
#include "animation.h"
#include "action_salle.h"
#include "stock.h"

#define LPSALLE SALLE*

#define LISTE_ACTION_SALLE deque<LPACTION_SALLE>

class SALLE:public ANIMATION
{
private:

  LISTE_ACTION_SALLE liste_action_salle;
  MOT nom_salle;
  int premier_mouvement;

public:

  // Ct  client (simulation) ou Serveur (MAJ relle)
  void gestion_globale (LPBLOCINFO lpblocinfo);
  void applique_action (LPACTION_SALLE lpaction);

  // Ct serveur
  void ecriture (LPBLOCINFO lpblocinfo, STOCK & stock);

  // Ct client
  void lecture (LPBLOCINFO lpblocinfo, STOCK & stock, int &curseur);

  void charge_salle (MOT *, LPBLOCINFO);
  void charge_salle (BUFFER_NOEUD * BF, buffer_noeud * bf,
		     LPBLOCINFO lpblocinfo);

  void connecte_moteur3d (LPBLOCINFO);

    SALLE ();
   ~SALLE ();
  MOT get_nom_salle ();
};

#define LPOBJET_SALLE OBJET_SALLE*

#endif
