/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// $Id: script_nom.cpp,v 1.2 2004/06/02 17:14:29 atila Exp $

#include "script_nom.h"

const char *tableau_association[MAX_ASSOCIATION] = {
//0
  "UNUSED",
  "UNUSED",
  "UNUSED",
  "UNUSED",
  "UNUSED",
  "UNUSED",
  "UNUSED",
  "UNUSED",
  "UNUSED",
  "UNUSED",

// 10   
  "Facette",
  "Point",
  "X",
  "Y",
  "Z",
  "Mesh",
  "TX",
  "TY",
  "AligneCamera",
  "Texture",
// 20   
  "Fichier",
  "Action",
  "Nom",
  "",
  "",
  "Visible",
  "Invisible",
  "Source",
  "Portal",
  "",

// 30

  "SensibleObjet",
  "InsensibleObjet",
  "SensibleBalle",
  "InsensibleBalle",
  "",
  "",
  "",
  "",
  "",
  "",

// 40

  "BlendingZero",
  "BlendingApproprie",
  "BlendingFixe",
  "BlendingFichier",
  "BlendingFichierZero",
  "BlendingFixe2",
  "BlendingFixe3",
  "",
  "",
  "",

// 50

  "Objet",
  "Pere",
  "Animation",
  "Rotation",
  "Translation",
  "V1",
  "V2",
  "Angle1",
  "Angle2",
  "T1",

// 60

  "T2",
  "AxeX",
  "AxeY",
  "AxeZ",
  "Echelle",
  "ActiveObjet",
  "DesactiveObjet",
  "ActionLumiere",
  "Lumiere1",
  "Lumiere2",

// 70

  "Rien",
  "PositionDirecte",
  "AllerSimple",
  "AllerSimpleInit",
  "AllerRetour",
  "AllerRetourInit",
  "AllerRetourInfini",
  "AllerSimpleInfini",
  "NomAnimation",
  "",

// 80
  "NouvelleAnimation",
  "Centre",
  "Rayon",
  "",
  "",
  "",
  "",
  "",
  "",
  "",

// 90
  "Salle",
  "Musique",
  "FichierSalle",
  "FichierAnimation",
  "Jeu",
  "InfoNiveau",
  "NomNiveau",
  "Screenshot",
  "",
  "",

// 100  
  "Option",
  "Joueur",
  "SpawnJoueur",
  "NDJ",
  "Position",
  "Reapparait",
  "",
  "",
  "",
  "",

// 110  
  "Vie",
  "SuperVie",
  "Armure",
  "SuperArmure",
  "Quantite",
  "Invulnerabilite",
  "Rapidite",
  "Pigeon",
  "Annihilatron",
  "SuperPuissance",

//120
  "Arme1",
  "Arme2",
  "Arme3",
  "Arme4",
  "Arme5",
  "Arme6",
  "Arme7",
  "Arme8",
  "Arme9",
  "Arme10",

//130
  "FacetteStandard",
  "FacetteAction",
  "FacetteGravite",
  "DeclencheContact",
  "DeclenchePresence",
  "DeclencheActivation",
  "ParMobile",
  "ParJoueur",
  "ParEnnemi",
  "ParInactif",

// 140

  "ActionAnimation",
  "ActionVie",
  "ActionPousse",
  "",
  "",
  "",
  "",
  "",
  "",
  "",

// 150

  "SautAleatoire",
  "Saut",
  "AppliqueTexture",
  "Temps",
  "TempsAleatoire1",
  "TempsAleatoire2",
  "",
  "",
  "",
  "",

// 160  
  "R",
  "G",
  "B",
  "A",
  "ZoneLumiereObjet",
  "ZoneLumiereAnimation",
  "ZoneLumiereScene",
  "Lumiere",
  "IntensiteLumiere",
  "RayonLumiere",

// 170          
  "Ambiante",
  "AmbianteDiffuse",
  "Spot",
  "Cone",
  "",
  "",
  "",
  "",
  "",
  "",

// 180  
  "Munition1",
  "Munition2",
  "Munition3",
  "Munition4",
  "Munition5",
  "Munition6",
  "Munition7",
  "Munition8",
  "Munition9",
  "Munition10",

// 190  

  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",

//200
  "ActiveSon",
  "AmbianceSon",
  "Volume",
  "SensPositif",
  "SensNegatif",
  "LongueurSon",
  "",
  "",
  "",
  "",

//210
  "BlendingAdditif",
  "BlendingNormal",
  "TexX",
  "TexY",
  "AttributTexture",
  "Reflechi",
  "NonReflechi",
  "",
  "",
  "",

// 220
  "Sortie",
  "Teleporteur",
  "Cible",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  ""
};
