/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "systeme.h"
#include <stdlib.h>
#include <unistd.h>
#include <string>
#include <fcntl.h>

#ifdef linux
#include <glob.h>
#endif

#include <string>
#include <sys/types.h>

using namespace std;

MOT
get_nom_fichier_config ()
{
// ~/.rwvsndj/config.cfg at this point of time...
// trying to create the directory anyway, so that a save will be alright.

#ifdef LINUX
  char *nom = getenv ("HOME");
  string n = nom;
  n = n + "/.rwvsndj";
  mkdir (n.c_str (), 00755);
  n = n + "/config.cfg";
  return MOT ((char *) n.c_str ());
#else
  return MOT ("config.cfg");
#endif
};

LISTE_MOT
get_liste_bdd ()
{
  LISTE_MOT ret;

#ifdef linux
#include "systeme_data.h"
  glob_t chemins;
  string fic = string (getenv ("HOME")) + string ("/.rwvsndj/*zip");
  glob ("*.zip", 0, NULL, &chemins);
  glob (datadir.info, GLOB_APPEND, NULL, &chemins);
  glob (fic.c_str (), GLOB_APPEND, NULL, &chemins);
  for (int i = 0; i < chemins.gl_pathc; i++)
    {
      ret.insert (ret.end (), MOT (chemins.gl_pathv[i]));
    }
  globfree (&chemins);
#endif
#ifndef linux
  WIN32_FIND_DATA data;
  static unsigned long totalSize;
  static unsigned long nrOfFiles;
  static unsigned long nrOfDirs;

  HANDLE handle;

  /* find the first file that matches */
/*
	if ((handle = FindFirstFile("",&data)) == INVALID_HANDLE_VALUE) 
		{
		do
			{
			ret.insert(ret.end(),MOT(data.cFileName));
			}
		while (FindNextFile(handle,&data));
		}
	FindClose(handle);
	*/
  ret.insert (ret.end (), MOT ("commun.zip"));
  //      ret.insert(ret.end(),MOT("commun.zip"));

#endif
  return ret;
};
